/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.cicero.runtime

// imports
import {IAccordContract,IAccordContractState} from './org.accordproject.cicero.contract';
import {IMonetaryAmount} from './org.accordproject.money';
import {ITransaction,IEvent,IParticipant,IConcept} from './concerto';

// interfaces
export interface IRequest extends ITransaction {
}

export interface IResponse extends ITransaction {
}

export interface IErrorResponse extends ITransaction {
}

export interface IObligation extends IEvent {
   contract: IAccordContract;
   promisor?: IParticipant;
   promisee?: IParticipant;
   deadline?: Date;
}

export interface IPaymentObligation extends IObligation {
   amount: IMonetaryAmount;
   description: string;
}

export interface INotificationObligation extends IObligation {
   title: string;
   message: string;
}

export interface IPayload extends IConcept {
   contract: IAccordContract;
   request: IRequest;
   state?: IAccordContractState;
}

export interface ISuccess extends IConcept {
   response: IResponse;
   state: IAccordContractState;
   emit: IEvent[];
}

export interface IFailure extends IConcept {
   error: IErrorResponse;
}

